var TextareaMixin = {
    props: {
        placeHolder: {
            type: String
        },
        rows: {
            type: String,
            "default": "1"
        },
        value: {
            type: [String, Number]
        },
        maxLenght: {
            type: Number
        },
        readonly: {
            type: Boolean
        },
        height: {
            type: String
        },
        maxHeight: {
            type: String
        },
        resize: {
            type: Boolean,
            "default": true
        }
    },
    methods: {
        onFocus: function onFocus(event) {
            this.$emit("focus", event);
        },
        onBlur: function onBlur(event) {
            this.$emit("blur", event);
        },
        onChange: function onChange(event) {
            this.$emit("change", event);
        }
    }
};

export default TextareaMixin;