"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
var InputMixin = {
    props: {
        placeHolder: {
            type: String
        },
        value: {
            type: [String, Number]
        },
        maxLenght: {
            type: Number
        },
        inputType: {
            type: String,
            "default": "text"
        },
        readonly: {
            type: Boolean
        }
    },
    methods: {
        onFocus: function onFocus(event) {
            this.$emit("focus", event);
        },
        onBlur: function onBlur(event) {
            this.$emit("blur", event);
        },
        onChange: function onChange(event) {
            this.$emit("change", event);
        }
    }
};

exports["default"] = InputMixin;
module.exports = exports.default;